<%@ page language="C#" validaterequest="false" autoeventwireup="true" inherits="admin_ordinary_innerlinkitem, localhost_deploy" %>
<%@ Register Src='../../common/formitem.ascx' TagName='formitem' TagPrefix='uc1' %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
<title>内链编辑页</title>
<link href='/admin/common/client.css' rel='stylesheet' type='text/css' />
<script type='text/javascript'>
function TestUrl()
{
	if($('I_URL').value!="")
		window.open($('I_URL').value,'_blank');
	else
		$('spn_I_URL').innerHTML="<br />目标链接不能为空。";	
}

function InsetVideo()
{
	var s_in=window.prompt("请输入视频地址：","http://");
	
	if(s_in!="http://")
	{
		$('I_Title').value+='<OBJECT height=370 width=480><PARAM NAME="allowScriptAccess" VALUE="always"><embed pluginspage="http://www.macromedia.com/go/getflashplayer" src="'+s_in+'" type="application/x-shockwave-flash"  allowFullScreen="true" allowScriptAccess="always" width="480" height="370"></embed></OBJECT>';
	}	
}

function InsetImage()
{
	var s_in=window.prompt("请输入图片地址：","http://");
	
	if(s_in!="http://")
	{
		$('I_Title').value+="<img src='"+s_in+"' />";
	}	
} 
</script>
</head>
<body>
<br />
<%
	Formitem.Table="Sys_InnerLink";
	Formitem.Head="相关内链信息";
	Formitem.Action="";
	Formitem.AddItem("@@Csharp.SetTextArea('关键词名称','I_Name','##Table[\"Sys_InnerLink\"].I_Name##','6','true','<br /><input type=\"checkbox\" value=\"replace\" name=\"chklink\" id=\"chklink\" /><label for=\"chklink\" >强制替换</label>。每行一个关键词。"+GetTip("24-1")+"')@@");
	Formitem.AddItem("@@Csharp.SetInputText('目标链接','I_URL','"+Formitem.ChooseValue("@@Table[\"Sys_InnerLink\"].I_URL@@","http://")+"','100','true','<br /><input class=\"button\" type=\"button\" value=\"测试链接\" onclick=\"TestUrl()\" /> "+GetTip("24-2")+"')@@");
	Formitem.AddItem("@@Csharp.SetTextArea('链接描述','I_Title','##Table[\"Sys_InnerLink\"].I_Title##','6','true','<br />内容可以包括HTML标签。<input type=\"button\" class=\"button\" value=\"插入图片\" onclick=\"InsetImage()\" />&nbsp;<input type=\"button\" class=\"button\" value=\"插入视频\" onclick=\"InsetVideo()\" /> "+GetTip("24-3")+"')@@");
	Formitem.AddItem("@@Csharp.SetInputSelect('优先级别','I_Order','0|1|2|3|4|5|6|7|8|9|10|11|12','##Table[\"Sys_InnerLink\"].I_Order##','false','<br />0 最高 12最低"+GetTip("24-4")+"')@@");
	Formitem.AddItem("@@Csharp.SetInputSelect('替换类型','I_Type','0,自然替换|1,必须替换','##Table[\"Sys_InnerLink\"].I_Type##','false','"+GetTip("24-5")+"')@@");
	Formitem.AddItem("@@Csharp.SetInputSelect('面向对象','I_Target','0,用户|1,搜索引擎','##Table[\"Sys_InnerLink\"].I_Target##','false','"+GetTip("24-6")+"')@@");

%>	
<uc1:formitem ID='Formitem' runat='server' />
</body>
</html>   
